Subject: Re: bug#62044: 30.0.50; ERC 5.5: Auto-reconnect is broken

From: "J.P." <[email-masked]>
Date: Thu, 23 Jan 2025 12:59:09 -0800

Libera user arjan recently reported an issue involving client certs not
being reused by `erc-server-delayed-check-reconnect', a 5.6 "function
item" for the 5.5 option `erc-server-reconnect-function' that was
introduced in the original change set for this bug. A somewhat related
issue has also surfaced involving the same reconnect function and its
failure to account for bracketed IPv6 addresses when reusing
`erc-session-server'. I've tried to remedy both concerns in:

  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=331bcfae

It would be great if anyone affected by these could try the above
changes. They're also included in the latest ELPA devel snapshot. See
(info "(erc) upgrading") for instructions.

Thanks.